## OrcExecutor OrcExecutor — Running Orc programs |

## Functions

OrcExecutor * | orc_executor_new ()
void | orc_executor_free ()
void | orc_executor_set_array ()
void | orc_executor_set_array_str ()
void | orc_executor_set_n ()
void | orc_executor_emulate ()
void | orc_executor_run ()
int | orc_executor_get_accumulator ()
int | orc_executor_get_accumulator_str ()
void | orc_executor_set_param ()
void | orc_executor_set_param_str ()
void | orc_executor_set_program ()

## Types and Values

struct | OrcExecutor

## Description

## Functions

### orc_executor_new ()

    OrcExecutor *
    orc_executor_new (OrcProgram *program);

#### Returns

### orc_executor_free ()

    void
    orc_executor_free (OrcExecutor *ex);

### orc_executor_set_array ()

    void
    orc_executor_set_array (OrcExecutor *ex,
                            int var,
                            void *ptr);

### orc_executor_set_array_str ()

    void
    orc_executor_set_array_str (OrcExecutor *ex,
                                const char *name,
                                void *ptr);

### orc_executor_set_n ()

    void
    orc_executor_set_n (OrcExecutor *ex,
                        int n);

### orc_executor_emulate ()

    void
    orc_executor_emulate (OrcExecutor *ex);

### orc_executor_run ()

    void
    orc_executor_run (OrcExecutor *ex);

### orc_executor_get_accumulator ()

    int
    orc_executor_get_accumulator (OrcExecutor *ex,
                                  int var);

#### Returns

### orc_executor_get_accumulator_str ()

    int
    orc_executor_get_accumulator_str (OrcExecutor *ex,
                                      const char *name);

#### Returns

### orc_executor_set_param ()

    void
    orc_executor_set_param (OrcExecutor *ex,
                            int var,
                            int value);

### orc_executor_set_param_str ()

    void
    orc_executor_set_param_str (OrcExecutor *ex,
                                const char *name,
                                int value);

### orc_executor_set_program ()

    void
    orc_executor_set_program (OrcExecutor *ex,
                              OrcProgram *program);

## Types and Values

### struct OrcExecutor

    struct OrcExecutor {
    };